# Asterisk Project : Asterisk 13 ManagerEvent_AOC-S

Created by wikibot on Aug 08, 2014

# AOC-S

### Synopsis

Raised when an Advice of Charge message is sent at the beginning of a call.

### Description

### Syntax

    Event: AOC-S
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    Chargeable: <value>
    RateType: <value>
    Currency: <value>
    Name: <value>
    Cost: <value>
    Multiplier: <value>
    ChargingType: <value>
    StepFunction: <value>
    Granularity: <value>
    Length: <value>
    Scale: <value>
    Unit: <value>
    SpecialCode: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `Chargeable`
- `RateType`
  - `NotAvailable`
  - `Free`
  - `FreeFromBeginning`
  - `Duration`
  - `Flag`
  - `Volume`
  - `SpecialCode`
- `Currency`
- `Name`
- `Cost`
- `Multiplier`
  - `1/1000`
  - `1/100`
  - `1/10`
  - `1`
  - `10`
  - `100`
  - `1000`
- `ChargingType`
- `StepFunction`
- `Granularity`
- `Length`
- `Scale`
- `Unit`
  - `Octect`
  - `Segment`
  - `Message`
- `SpecialCode`

### Class

AOC

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538